> ## Documentation Index
> Fetch the complete documentation index at: https://lingopal.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Files

## Description

This endpoint allows you to download subtitle files for a specific media. You can download subtitle files in different formats (SRT or VTT) and for different languages.


## OpenAPI

````yaml get /v1/subtitles/{video_id}/download/{file_type}
openapi: 3.1.0
info:
  title: Lingopal VOD API
  description: API for Video on Demand processing, transcription, and translation services
  version: 0.0.1
servers:
  - url: https://api.lingopal.ai
security: []
paths:
  /v1/subtitles/{video_id}/download/{file_type}:
    get:
      tags:
        - subtitles
      summary: Download Files
      operationId: download_files_v1_subtitles__video_id__download__file_type__get
      parameters:
        - name: video_id
          in: path
          required: true
          schema:
            type: string
            title: Video Id
        - name: file_type
          in: path
          required: true
          schema:
            enum:
              - srt
              - vtt
            type: string
            title: File Type
        - name: language
          in: query
          required: false
          schema:
            type: string
            title: Language
            default: source
      responses:
        '200':
          description: Successful Response
          content:
            text/plain: {}
            application/msword: {}
        '404':
          content:
            application/json:
              example:
                detail: Video Not Found
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````